Name:           perl-Parse-RecDescent
Version:        1.95.1
Release:        5%{?dist}
Summary:        Parse-RecDescent Perl module

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Parse-RecDescent/
Source0:        http://www.cpan.org/authors/id/D/DC/DCONWAY/Parse-RecDescent-v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker), perl(version), perl(Test::More)
BuildRequires:  perl(Test::Pod)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Parse::RecDescent incrementally generates top-down recursive-descent
text parsers from simple yacc-like grammar specifications. It
provides: 
    * Regular expressions or literal strings as terminals (tokens),
    * Multiple (non-contiguous) productions for any rule,
    * Repeated and optional subrules within productions,
    * Full access to Perl within actions specified as part of the
      grammar,
    * Simple automated error reporting during parser generation and
      parsing,
    * The ability to commit to, uncommit to, or reject particular
      productions during a parse,
    * The ability to pass data up and down the parse tree ("down" via
      subrule argument lists, "up" via subrule return values)
    * Incremental extension of the parsing grammar (even during a
      parse),
    * Precompilation of parser objects,

User-definable reduce-reduce conflict resolution via "scoring" of
matching productions.


%prep
%setup -q -n Parse-RecDescent-v%{version} 

chmod 644 Changes README lib/Parse/* demo/* tutorial/*
%{__perl} -pi -e 's|^#!\s?/usr/local/bin/perl\b|#!%{__perl}|' demo/*


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

for file in demo/demo_dot.pl; do
  iconv -f iso-8859-1 -t utf-8 < "$file" > "${file}_"
  mv -f "${file}_" "$file"
done


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_vendorlib}/Parse/
%{_mandir}/man3/*.3*
%doc Changes README demo/ tutorial/


%changelog
* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.95.1-5
- Rebuild for perl 5.10 (again)

* Sun Jan 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.95.1-4
- rebuild for new perl

* Wed Nov 14 2007 Robin Norwood <rnorwood@redhat.com> - 1.95.1-3
- Apply fixes from package review:
  - Remove BR: perl
  - Use iconv to convert file to utf-8
  - Include BR: perl(Test::Pod)
  - Fix old changelog entry
- Resolves: bz#226274

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.95.1-2
- add BR: perl(version), perl(Test::More)

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.95.1-1
- bump to 1.95.1
- correct license tag (now under perl license)
- add BR: perl(ExtUtils::MakeMaker)

* Fri Jul 20 2007 Robin Norwood <rnorwood@redhat.com> - 1.94-6.fc8
- Bring fixes from EPEL build into F8
- Fix minor specfile issues
- Package the docs as well

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.94-5.2.1
- rebuild

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 1.94-5.2
- rebuild for new perl-5.8.8

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Thu Apr 21 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.94-5
- #155620
- Bring up to date with current Fedora.Extras perl spec template.

* Wed Sep 22 2004 Chip Turner <cturner@redhat.com> 1.94-4
- rebuild

* Tue Feb 17 2004 Chip Turner <cturner@redhat.com> 1.94-2
- fix rm to not be interactive (bz115997)

* Fri Feb 13 2004 Chip Turner <cturner@redhat.com> 1.94-1
- update to 1.94

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Sat Jul 20 2002 Chip Turner <cturner@localhost.localdomain>
- remove Text::Balanced modules since they are now in core perl

* Thu Jun 27 2002 Chip Turner <cturner@redhat.com>
- description update

* Fri Jun 07 2002 cturner@redhat.com
- Specfile autogenerated

